Retrieve a list of Queer Terminology definitions Run in API Explorer
Ask AI
Get a list of all Queer Terminology definitions.
GET
/terms
curl \
--request GET 'https://pronom.it/api/public/v3/terms' \
--header "Accept: application/json"
Response examples (200)
[
{
"id": "01K2FVW0TRKB02HB3JQJZTG5G4",
"term": "A-spectrum|aspec",
"original": "{Asexual}|{Aromantic}",
"definition": "an umbrella term referring to the {aromantic spectrum} and the {asexual spectrum} as well as other types of anattractional identities such as aplatonic or nonaesthetic. It may also sometimes be used to refer to other spectrums that begin with A such as agender. Using it only with reference to asexuality is mistaken and leads to {aromantic erasure}.",
"locale": "en",
"approved": 1,
"base_id": null,
"author_id": "01GFNSEW85S3M7YBQGZ4CGF8YF",
"deleted": 0,
"flags": [
null
],
"category": "sexual orientation,romantic orientation,tertiary orientation",
"images": "01HKEAQJME4R6S7KBSRYJ00ASC,01F8JVNH9FH9DKCJDW1R5J7B0E,01K2FVVR8BQF6S2A2TV4GG68B6,01K2FVVSBGTBNZH85FR7TPDB2S,01K2FVVSWJ2A96WHHSBKSBECXB,01K2FVVWNT1W830F172W996RCG,01K2FVVWV6H91ZDDJ2C9S1J8V6,01K2FVVX0AJ1XERT6F4032P23S,01K2FVVX3K6EMW5C5D6Q06BATP,01K2FVVX6VDEV7PPSQMB8K0G3Z",
"key": "aspec",
"author": "Annastarlight",
"versions": [
{
"id": "01FCTYYEYASZ6WJHXQ25S4Q5J5",
"term": "A-spektrum, aspek",
"original": "ang. a-spectrum, aspec",
"definition": "termin zbiorczy obejmujący {#Spektrum aromantyczności=spektrum aromantyczności} i {#Spektrum aseksualności=spektrum aseksualności}.\nUżywanie go do opisywania wyłącznie spektrum aseksualności jest błędne i prowadzi do {#Wymazywanie aromantyczności=wymazywania aromantyczności}.\nNa {https://sapphic-squirrel.tumblr.com/post/189130109062/hello-everyone-i-want-to-present-a-community-flag=alternatywnej wersji flagi} znajduje się aloes.",
"locale": "pl",
"approved": 1,
"base_id": null,
"author_id": "01EP5KZNBCCAD2024012HFMCR3",
"deleted": 0,
"flags": [
null
],
"category": "orientacja seksualna,orientacja romantyczna",
"images": "01EX5FA37QHQCEEBBC0W889ZEH,01F8JVNH9FH9DKCJDW1R5J7B0E",
"key": "aspec",
"author": "szymon"
}
]
}
]
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}